import request from '@/utils/request'



//查询图书列表
export function getBookList(data){
	return request({
		url:"/book/book/list",
		params:data
	})
}


//根据ISBN码查询书籍详情
export function getBookInfo(data){
	return request({
		url:"/book/book/selectBookByISBN/"+data,
		method:"post"
	})
}



//图书上架
export function bookSj(data){
	return request({
		url:"/book/book",
		data:data,
		method:"post"
	})
}



//修改图书信息
export function modifyBook(data){
	return request({
		url:"/book/book",
		data:data,
		method:"put"
	})
}


//查询图书详细
export function bookInfo(data){
	return request({
		url:"/book/book/"+data,
	})
}


//删除书籍
export function delBook(data){
	return request({
		url:"/book/book/"+data,
		method:"delete"
	})
}



//查询借阅人信息
export function searchPeople(data){
	return request({
		url:"/system/user/query",
		params:{
			nickName:data
		}
	})
}


//提交借阅信息
export function borrowSubmit(data){
	return request({
		url:"/book/borrow/",
		data:data,
		method:"post"
	})
}



//根据ibsn码查询本地书籍
export function localBook(data){
	return request({
		url:"/book/book/localQueryISBN/"+data,
		method:"post"
	})
}